{% extends 'base.html.twig' %}
{% block title %}
    Liste des artistes
{% endblock %}
{% block body %}
    <h1>Liste des artistes</h1>
    <p><a class="btn btn-primary" href="{{ path('artiste_add') }}">Ajouter un Artiste</a></p>
    <table class="table table-striped table-bordered table-condensed">
        <thead>
        <th>Nom</th>
        <th>Prénom</th>
        <th>Année de naissance</th>
        <th width="120"></th>
        </thead>
        <tbody>
        {% for artiste in arrayArtiste %}
            <tr id="{{ artiste.id }}">
                <td>{{ artiste.nom }}</td>
                <td>{{ artiste.prenom }}</td>
                <td>{{ artiste.anneeNaissance }}</td>
                <td>
                    <a class="btn btn-primary btn-sm" href="{{ path('artiste_info', { 'id': artiste.id
                    }) }}" title="Information">
                        <i class="fa fa-edit" aria-hidden="true"></i>&nbsp;Informations
                    </a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="5">Aucun Artiste n'a été trouvé.</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
    <nav aria-label="Page navigation">
        <ul class="pagination">
            {# On utilise la fonction range(a, b) qui crée un tableau de valeurs entre a et b #}
            {% for p in range(1, nbPages) %}
                {% if p == page %}
                    <li class="page-item active">
                        <a class="page-link" href="#">{{ p }} <span class="sronly">(current)</span></a>
                    </li>
                {% else %}
                    <li class="page-item"><a class="page-link" href="{{ path('artiste_index',
                            {'page': p}) }}">{{ p }}</a></li>
                {% endif %}
            {% endfor %}
        </ul>
    </nav>
{% endblock %}